/********************************************************/
/*  ntapi: Native API core library                      */
/*  Copyright (C) 2013--2017  Z. Gilboa                 */
/*  Released under GPLv2 and GPLv3; see COPYING.NTAPI.  */
/********************************************************/

#include <psxtypes/psxtypes.h>
#include <ntapi/nt_string.h>
#include "ntapi_impl.h"

int __cdecl __ntapi_tt_strcmp_utf16(
	__in	const wchar16_t * a,
	__in	const wchar16_t * b)
{
	for (; (*a == *b) && *a; a++, b++)
		(void)0;

	return (int)*a - (int)*b;
}
